OpenVDB: CsgUnionVisitor< TreeType > Struct Template Reference

OpenVDB 5.1.0

Public Types | Public Member Functions | Protected Attributes | List of all members
CsgUnionVisitor< TreeType > Struct Template Reference

`#include <Composite.h>`

Inherits CsgVisitorBase< TreeType >.

## Public Types
enum | { STOP = CsgVisitorBase<TreeT>::STOP }
typedef TreeType | TreeT
typedef TreeT::ValueType | ValueT
typedef TreeT::LeafNodeType::ChildAllIter | ChildIterT
enum | { STOP = 3 }

## Public Member Functions
| CsgUnionVisitor (const TreeT &a, const TreeT &b)
template<typename AIterT , typename BIterT >
int | operator() (AIterT &, BIterT &)
| Don't process nodes that are at different tree levels. More...
template<typename IterT >
int | operator() (IterT &aIter, IterT &bIter)
| Process root and internal nodes. More...
int | operator() (ChildIterT &aIter, ChildIterT &bIter)
| Process leaf node values. More...

## Protected Attributes
ValueT | mAOutside
ValueT | mAInside
ValueT | mBOutside
ValueT | mBInside

## Member Typedef Documentation

## ◆ ChildIterT

typedef TreeT::LeafNodeType::ChildAllIter ChildIterT

## ◆ TreeT

typedef TreeType TreeT

## ◆ ValueT

typedef TreeT::ValueType ValueT

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum
| inherited

Enumerator
STOP |

## ◆ anonymous enum

anonymous enum

Enumerator
STOP |

## Constructor & Destructor Documentation

## ◆ CsgUnionVisitor()

CsgUnionVisitor | ( | const TreeT & | a,
|  | const TreeT & | b
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()() [1/3]

int operator() | ( | AIterT & | ,
|  | BIterT & |
| ) |  |
| inline

Don't process nodes that are at different tree levels.

## ◆ operator()() [2/3]

int operator() | ( | IterT & | aIter,
|  | IterT & | bIter
| ) |  |
| inline

Process root and internal nodes.

## ◆ operator()() [3/3]

int operator() | ( | ChildIterT & | aIter,
|  | ChildIterT & | bIter
| ) |  |
| inline

Process leaf node values.

## Member Data Documentation

## ◆ mAInside

ValueT mAInside
| protectedinherited

## ◆ mAOutside

ValueT mAOutside
| protectedinherited

## ◆ mBInside

ValueT mBInside
| protectedinherited

## ◆ mBOutside

ValueT mBOutside
| protectedinherited

The documentation for this struct was generated from the following file:

- Composite.h